AsterNet Class Library (Sandcastle documentation)

| ManagerConnection Constructor (String, Int32, String, String)

Creates a new instance with the given connection parameters.

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public ManagerConnection(
    	string hostname,
    	int port,
    	string username,
    	string password
    )

    Public Sub New (
    	hostname As String,
    	port As Integer,
    	username As String,
    	password As String
    )

    public:
    ManagerConnection(
    	String^ hostname,
    	int port,
    	String^ username,
    	String^ password
    )

    new :
            hostname : string *
            port : int *
            username : string *
            password : string -> ManagerConnection

#### Parameters

hostname
  Type: System
  String
  the hosname of the Asterisk server to connect to.
port
  Type: System
  Int32
  the port where Asterisk listens for incoming Manager API connections, usually 5038.
username
  Type: System
  String
  the username to use for login
password
  Type: System
  String
  the password to use for login

See Also

#### Reference

ManagerConnection Class
ManagerConnection Overload
AsterNET.Manager Namespace